local sfxPath = "Interface\\AddOns\\WhatchaSay\\whatcha-say.mp3"

if not WhatchaSayFrame then
	CreateFrame("Frame", "WhatchaSayFrame", UIParent)
end
WhatchaSayFrame:RegisterEvent("PLAYER_DEAD")
WhatchaSayFrame:RegisterEvent("PLAYER_ALIVE")

local soundHandle

-- Called whenever an event is triggered
function WhatchaSay_OnEvent(frame, event, ...)
	if event == "PLAYER_DEAD" then
		WhatchaSay_HandlePlayerDeathStart()
	elseif event == "PLAYER_ALIVE" then
		WhatchaSay_HandlePlayerDeathEnd()
	end
end

function WhatchaSay_HandlePlayerDeathStart()
	if soundHandle == nil then
		local _, sound = PlaySoundFile(sfxPath, "SFX")
		soundHandle = sound
	end
end

function WhatchaSay_HandlePlayerDeathEnd()
	if (soundHandle ~= nil) then
	--	StopSound(soundHandle)
		soundHandle = nil
	end
end

WhatchaSayFrame:SetScript("OnEvent", WhatchaSay_OnEvent)